Subject: bug#39619: closed (Re: [bug#39619] [v2] Re: bug#39619: Acknowledgement ([PATCH 0/4] Add nheko matrix client))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Feb 2020 23:49:02 +0000

Your bug report

#39619: [PATCH 0/4] Add nheko matrix client

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39619: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39619
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39619] [v2] Re: bug#39619: Acknowledgement ([PATCH 0/4] Add nheko matrix client)
From: Nicolas Goaziou <[email-masked]>
To: Nicolò Balzarotti <[email-masked]>
Cc: [email-masked]
Date: Sun, 23 Feb 2020 00:48:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Nicolò Balzarotti <[email-masked]> writes:

> lmdbxx was patch #3, but I created some noise sending replying to
> guix-patches and creating multiple issues.  I'm sending it again with
> other fixes applied.

OK. I applied your patches with the two small changes below:
> +         (add-before 'configure 'disable-network-tests
> +           (lambda _
> +             (substitute* "CMakeLists.txt"
> +               (("add_test\\([BasicConnectivity|ClientAPI|MediaAPI|Encryption]")
> +                "# add_test"))

I changed the regexp to:

  "add_test\\((BasicConnectivity|ClientAPI|MediaAPI|Encryption)"

instead.

> +    (source (origin
> +              (method git-fetch)
> +              (uri (git-reference
> +                    (url "https://github.com/drycpp/lmdbxx.git")
> +                    (commit (string-append version))))

I removed the `string-append' call.

I also added copyright lines for you in "cpp.scm" and "databases.scm".

Thank you!

Regards,

-- 
Nicolas Goaziou

Subject: [PATCH 0/4] Add nheko matrix client
From: nixo <[email-masked]>
To: [email-masked]
Cc: nixo <[email-masked]>
Date: Sat, 15 Feb 2020 22:23:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

Nheko is a well-known desktop matrix client.  I'm using nheko-reborn
like others are doing [1] since mujx/nheko is abandoned.

This patch series adds the program and its missing dependencies
mtxclient, lmdbxx and, tweeny.  Guix lint does not complain, and I've
checked and not found non-determinism problems on two different
(x64) computers (not tested on other architectures).

Thanks! Nicolò

[1] https://repology.org/project/nheko/information

nixo (4):
  gnu: Add mtxclient.
  gnu: Add tweeny.
  gnu: Add lmdbxx.
  gnu: Add nheko.

 gnu/packages/cpp.scm       |  28 ++++++++
 gnu/packages/databases.scm |  31 ++++++++-
 gnu/packages/messaging.scm | 139 ++++++++++++++++++++++++++++++++++++-
 3 files changed, 195 insertions(+), 3 deletions(-)

-- 
2.25.0